﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="userreg.aspx.vb" Inherits="userreg" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
</head>
<script language="javascript" type="text/javascript">
    function ValidatePassword(source, arguments) {
        var data = arguments.Value.split('');
        //start by setting false 
        arguments.IsValid = false;

        //check length 
        if (data.length < 6 || data.length > 14) return;

        //check for uppercase, lowercase, and number
        var uc = false; var lc = false; var num = false;
        for (var c in data) {
            if (data[c] >= 'A' && data[c] <= 'Z') {
                uc = true;
            } else if (data[c] >= 'a' && data[c] <= 'z') {
                lc = true;
            } else if (data[c] >= '0' && data[c] <= '9') {
                num = true;
            }
            if (uc && lc && num) {
                arguments.IsValid = true;
                break;
            }
        }
    } 
</script>
<body>
    <form id="form1" runat="server">
    <div>
    
        <h1>
            User Registration</h1>
        <asp:ValidationSummary ID="ValidationSummary1" runat="server" />
        <p>
            User name:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:TextBox ID="UserNameTextBox" runat="server"></asp:TextBox>
            <asp:RequiredFieldValidator ID="UserNameValidator" runat="server" 
                ControlToValidate="UserNameTextBox" ErrorMessage="Your user name is required" 
                ToolTip="Your user name is required">*</asp:RequiredFieldValidator>
            <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" 
                ControlToValidate="UserNameTextBox" 
                ErrorMessage="Please use only letters and numbers with no spaces" 
                ToolTip="Please use only letters and numbers with no spaces" 
                ValidationExpression="\w{6,14}">*</asp:RegularExpressionValidator>
        </p>
        <p>
            Email:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
            <asp:TextBox ID="EmailTextBox" runat="server"></asp:TextBox>
            <asp:RequiredFieldValidator ID="EmailValidator" runat="server" 
                ControlToValidate="EmailTextBox" ErrorMessage="Your e-mail is required" 
                ToolTip="Your e-mail is required">*</asp:RequiredFieldValidator>
            <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" 
                ControlToValidate="EmailTextBox" ErrorMessage="Please enter a valid e-mail" 
                ToolTip="Please enter a valid e-mail" 
                ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*">*</asp:RegularExpressionValidator>
        </p>
        <p>
            Password:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:TextBox ID="PasswordTextBox" runat="server" TextMode="Password"></asp:TextBox>
            <asp:RequiredFieldValidator ID="PasswordValidator" runat="server" 
                ControlToValidate="PasswordTextBox" ErrorMessage="A password is required" 
                ToolTip="A password is required">*</asp:RequiredFieldValidator>
            <asp:CustomValidator ID="PasswordCustomValidator" runat="server" 
                ControlToValidate="PasswordTextBox" 
                ErrorMessage="Please enter 6-14 characters, at least 1 uppercase letter, 1 lowercase letter, and 1 number. " 
                
                ToolTip="Please enter 6-14 characters, at least 1 uppercase letter, 1 lowercase letter, and 1 number. " 
                ClientValidationFunction="ValidatePassword" 
                onservervalidate="PasswordCustomValidator_ServerValidate">*</asp:CustomValidator>
        </p>
        <p>
            Confirm password:&nbsp;&nbsp;&nbsp;
            <asp:TextBox ID="ConfirmPasswordTextBox" runat="server" TextMode="Password"></asp:TextBox>
            <asp:RequiredFieldValidator ID="ConfirmPasswordValidator" runat="server" 
                ControlToValidate="ConfirmPasswordTextBox" 
                ErrorMessage="You must confirm your password" 
                ToolTip="You must confirm your password">*</asp:RequiredFieldValidator>
            <asp:CompareValidator ID="CompareValidator1" runat="server" 
                ControlToCompare="PasswordTextBox" ControlToValidate="ConfirmPasswordTextBox" 
                ErrorMessage="Both password fields must match" 
                ToolTip="Both password fields must match">*</asp:CompareValidator>
        </p>
        <p>
            <asp:Button ID="Button1" runat="server" Text="Register" />
        </p>
    
    </div>
    </form>
</body>
</html>
