﻿Imports System.Web
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration

<WebService(Namespace:="http://mydomain.org/")> _
<WebServiceBinding(ConformsTo:=WsiProfiles.BasicProfile1_1)> _
Public Class Authors
    Inherits System.Web.Services.WebService

    Private _cnnString As String = _
        ConfigurationManager.ConnectionStrings("PubsConnectionString").ToString

    <WebMethod(CacheDuration:=300)> _
    Public Function GetAuthorTitles(ByVal authorId As String) As DataTable

        Dim sql As StringBuilder = New StringBuilder()
        sql.Append("SELECT titles.title, titles.type, titles.price, ")
        sql.Append("titles.pubdate FROM titleauthor INNER JOIN titles ON ")
        sql.Append("titleauthor.title_id = titles.title_id ")
        If authorId <> "0" Then sql.Append("WHERE (titleauthor.au_id = @AuthorId) ")

        Dim cnn As New SqlConnection(_cnnString)
        Dim cmd As New SqlCommand(sql.ToString(), cnn)
        cmd.Parameters.Add("AuthorId", SqlDbType.VarChar, 11).Value = authorId

        Dim adp As New SqlDataAdapter(cmd)
        Dim ds As New DataSet()

        adp.Fill(ds)

        Return ds.Tables(0)

    End Function


End Class