﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[System.Web.Script.Services.ScriptService]
public class EmployeeService : System.Web.Services.WebService {

    [WebMethod]
    public Employee GetEmployeeById(string employeeId)
    {
        //get an employee by id using the Employee class constructor
        return new Employee(employeeId);
    }
    
}

[Serializable]
public class Employee
{
    public Employee(string empId)
    {
        //simulate looking up an employee
        this.ID = empId;
        this.FullName = "Monica Brink";
        this.Title = "ASP.NET Sr. Developer";
        this.Department = "Application Development";
    }

    public Employee()
    {
    }

    public string FullName { get; set; }
    public string ID { get; set; }
    public string Title { get; set; }
    public string Department { get; set; }
}

